---
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: monitoring
  name: redis-exporter
  labels:
    k8s-app: redis-exporter
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s-app: redis-exporter
  template:
    metadata:
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/port: "9121"
      labels:
        k8s-app: redis-exporter
    spec:
      containers:
      - name: redis-exporter
        image: oliver006/redis_exporter:latest
        resources:
          requests:
            cpu: 100m
            memory: 100Mi
        env:
        - name: REDIS_ADDR
          value:  home-timeline-redis.social-network.svc:6379
        ports:
        - containerPort: 9121
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: redis-exporter
  name: redis-exporter
  namespace: monitoring
  annotations:
    prometheus.io/scrape: 'true'
    prometheus.io/port: "9121"
spec:
        #clusterIP: None
  ports:
  - name: metrics
    port: 9121
    targetPort: 9121
    protocol: TCP
  selector: 
    k8s-app: redis-exporter
